<div class="pt-28" *ngIf="viewCreate" [ngClass]="viewEditImage ? 'hidden':''">
    <div class="cardEvent bg-blue-500 rounded-3xl mx-10 lg:flex justify-between md:relative"
        [ngClass]="errorInfos ? 'errore':''" [ngClass]="correctInfos ? 'corretto pointer-events-none':''">
        <div class="lg:pl-20 xl:pl-48 2xl:pl-64 items-center justify-center">
            <div class="flex justify-center items-center">
                <p class="pb-4 font-medium text-white pt-10">
                    <input type="text" placeholder="Titolo dell'evento" required
                        class="text-center border-none rounded-lg leading-10 focus:outline-none text-neutral-900 px-12 sm:px-24 md:px-36" maxlength="40" #titleEvent>
                </p>
            </div>
            <div class="flex justify-center items-center">
                <p class="pb-4 font-medium text-white">
                    <textarea placeholder="Descrizione" required
                        class="resize-none text-center border-none rounded-lg leading-10 focus:outline-none text-neutral-900 px-12 sm:px-24 md:px-36" maxlength="120" #descriptionEvent></textarea>
                </p>
            </div>
            <div class="flex justify-center items-center">
                <p class="pb-4 font-medium text-white">
                    <input type="datetime-local" [value]="dateMin" [min]="dateMin" [max]="dateMax" required
                        class="text-center border-none rounded-lg leading-10 focus:outline-none text-neutral-900"
                        #dateEvent>
                </p>
            </div>
            <div class="lg:flex justify-center px-2 pt-4 md:pt-14 pb-6 hidden">
                <span class="px-20 py-3 flex items-center justify-center rounded-lg bg-white cursor-pointer"
                    (click)="sendEvent(titleEvent.value, descriptionEvent.value, dateEvent.value)">
                    <div class="flex text-base font-medium items-center justify-center text-center">
                        {{ messageButton }}
                    </div>
                </span>
            </div>
            <div class="flex items-center justify-center pt-4 md:pt-14 pb-6 lg:hidden">
                <div class="bg-white rounded-lg">
                    <div class="flex items-center justify-center">
                        <input type="file" accept=".jfif, .jpg, .jpeg, .png" (change)="onFileSelected($event);"
                            class="pl-2 py-2 -mr-12 rounded-lg overflow-" *ngIf="imageSrc == ''" />
                    </div>
                    <div class="flex items-center justify-center rounded-lg">
                        <img id="prev"
                            class="w-80 h-48 p-2 pointer-events-none flex items-center justify-center rounded-lg"
                            [src]="croppedImage" alt="Immagine caricata" *ngIf="imageSrc != ''">
                    </div>
                    <div class="my-2 mx-2 p-2 bg-blue-200 rounded-lg cursor-pointer flex items-center justify-center"
                        (click)="deleteImg()" *ngIf="imageSrc != ''">
                        <svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px"
                            fill="#FF0000">
                            <path d="M0 0h24v24H0V0z" fill="none" />
                            <path
                                d="M16 9v10H8V9h8m-1.5-6h-5l-1 1H5v2h14V4h-3.5l-1-1zM18 7H6v12c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7z" />
                        </svg>
                    </div>
                </div>
            </div>
        </div>
        <div class="hidden lg:flex items-center justify-center pr-20 xl:pr-48 2xl:pr-64">
            <div class="bg-white rounded-lg">
                <div class="flex items-center justify-center">
                    <input type="file" accept=".jfif, .jpg, .jpeg, .png" (change)="onFileSelected($event);"
                        class="pl-2 py-2 -mr-12 rounded-lg overflow-" *ngIf="imageSrc == ''" />
                </div>
                <div class="flex items-center justify-center rounded-lg">
                    <img id="prev" class="w-80 h-48 p-2 pointer-events-none flex items-center justify-center rounded-lg"
                        [src]="croppedImage" alt="Immagine caricata" *ngIf="imageSrc != ''">
                </div>
                <div class="my-2 mx-2 p-2 bg-blue-200 rounded-lg cursor-pointer flex items-center justify-center"
                    (click)="deleteImg()" *ngIf="imageSrc != ''">
                    <svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px"
                        fill="#FF0000">
                        <path d="M0 0h24v24H0V0z" fill="none" />
                        <path
                            d="M16 9v10H8V9h8m-1.5-6h-5l-1 1H5v2h14V4h-3.5l-1-1zM18 7H6v12c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7z" />
                    </svg>
                </div>
            </div>
        </div>
        <div class="flex justify-center px-2 pt-4 md:pt-14 pb-6 lg:hidden">
            <span class="px-20 py-3 flex items-center justify-center rounded-lg bg-white cursor-pointer"
                (click)="sendEvent(titleEvent.value, descriptionEvent.value, dateEvent.value)">
                <div class="flex text-base font-medium items-center justify-center text-center">
                    {{ messageButton }}
                </div>
            </span>
        </div>
    </div>
</div>
<div class="pt-28" *ngIf="!viewCreate">
    <div class="relative">
        <div class="absolute translate-y-1/2 -translate-x-1/2 left-1/2">
            <p class="p-2 font-semibold text-2xl text-gray-500 dark:text-white text-center">
                È necessario autenticarsi per visualizzare questa sezione
            </p>
        </div>
    </div>
</div>
<div class="-mt-10" *ngIf="eventCreated">
    <div class="relative">
        <div class="absolute translate-y-1/2 -translate-x-1/2 left-1/2">
            <p class="p-2 font-semibold text-2xl text-gray-500 dark:text-white text-center">
                L'evento è stato creato correttamente!
            </p>
        </div>
    </div>
</div>
<div class="absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 z-10 w-96 transition-all" *ngIf="viewEditImage">
    <image-cropper [imageChangedEvent]="imageChangedEvent" [alignImage]="'left'" [aspectRatio]="16 / 9"
        [backgroundColor]="'#FFFFFF'" [resizeToHeight]="540" [resizeToWidth]="960" [cropperMinHeight]="54"
        [cropperMinWidth]="96" (imageCropped)="imageCropped($event)"></image-cropper>
    <div class="flex items-center justify-center rounded-lg bg-blue-100 dark:bg-white cursor-pointer mt-10 p-4" (click)="confirmCrop()">
        <svg xmlns="http://www.w3.org/2000/svg" height="24" width="24" fill="green">
            <path d="M9.55 18 3.85 12.3 5.275 10.875 9.55 15.15 18.725 5.975 20.15 7.4Z" />
        </svg>
    </div>
</div>